package com.ruoyi.common.utils;

import java.math.BigDecimal;

public class calculateUtil {
    public BigDecimal safeAdd(BigDecimal a, BigDecimal b) {
        if (a == null && b == null) {
            return BigDecimal.ZERO;
        }
        if (a == null) {
            return b;
        }
        if (b == null) {
            return a;
        }
        return a.add(b);
    }
}
